Bug 1724959 - RHV recommends reporting issues to GitHub rather than access.redhat.com (ovirt->RHV rebrand glitch?)
Summary: RHV recommends reporting issues to GitHub rather than access.redhat.com (ovir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-web-ui
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ovirt-4.4.0
: ---
Assignee: Sharon Gratch
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-28 07:37 UTC by Mark Chappell
Modified: 2020-08-04 13:19 UTC (History)
5 users (show)

Fixed In Version: ovirt-web-ui-1.6.1-1.el8ev
Doc Type: Bug Fix
Doc Text:
Previously, the About dialog in the VM Portal provided a link to GitHub for reporting issues. However, RHV customers should use the Customer Portal to report issues. The current release fixes this issue. Now, the About dialog provides a link to the Red Hat Customer Portal.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:19:31 UTC
oVirt Team: UX
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github oVirt ovirt-web-ui pull 1084 0 'None' closed About Dialog - Report issues URL added to branding 2020-08-12 09:46:20 UTC
Github oVirt ovirt-web-ui pull 1150 0 None closed About box: Remove old and incorrect "report issues" line 2020-08-12 09:46:20 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:46 UTC

Description Mark Chappell 2019-06-28 07:37:00 UTC
Description of problem:
RHV VM Portal's "About" recommends reporting issues to GitHub directly, SFAIK customers should be reporting issues via https://access.redhat.com

Version-Release number of selected component (if applicable):
Version 1.5.2-1

How reproducible:
Every time

Steps to Reproduce:
1. Log into VM Portal
2. Click on the User/Person link (top right)
3. Click on "About" from the drop down menu.

Actual results:
Displays:

Red Hat Virtualization VM Portal
    Version 1.5.2-1
    Red Hat Virtualization API Version 4.3
    Please report issues on GitHub Issue Tracker
© 2016 Red Hat Inc. All rights reserved.

Expected results:
Link to GitHub shouldn't be there (or should point to access.redhat.com ?)


Additional info:

Comment 1 Scott Dickerson 2019-08-27 06:32:50 UTC
> Can you please add a screenshot of how it looks like in RHV now?

@sgratch - web-ui branding does not layer like webadmin branding.  It is done as a full replacement.  Without a corresponding patch to `rhevm-branding-rhev`, I'm not sure that the RHV branding will even work (fixed-strings.json will have missing keys that will just be `undefined` at runtime).

Comment 2 Scott Dickerson 2019-11-26 14:31:48 UTC
ovirt-web-ui enhancement [1] to branding has been merged.

A followup change to rhevm-branding-rhev will need to be done have the "report errors to" link point to the correct location.




[1] - https://github.com/oVirt/ovirt-web-ui/pull/1084

Comment 4 Sharon Gratch 2020-01-05 15:52:09 UTC
(In reply to Scott Dickerson from comment #2)
> ovirt-web-ui enhancement [1] to branding has been merged.
> 
> A followup change to rhevm-branding-rhev will need to be done have the
> "report errors to" link point to the correct location.
> 
> [1] - https://github.com/oVirt/ovirt-web-ui/pull/1084

A followup change to d/s RHV branding is done in patch:https://code.engineering.redhat.com/gerrit/188746

Comment 5 Sharon Gratch 2020-01-08 13:58:32 UTC
patch https://code.engineering.redhat.com/gerrit/188746 was merged so we have a solution for both brandings - move to MODIFIED.

Comment 9 Ivana Saranova 2020-04-07 23:49:49 UTC
Steps:
1. Log into VM Portal
2. Click on the User/Person link (top right)
3. Click on "About" from the drop down menu.

Result:
'Please report issues on Red Hat Customer Portal' where Red Hat Customer Portal points to https://access.redhat.com/.

Verified in:
ovirt-web-ui-1.6.1-0.20200228.git5b3b4e0.el8ev.noarch
ovirt-engine-4.4.0-0.31.master.el8ev.noarch

Comment 14 errata-xmlrpc 2020-08-04 13:19:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.